
export type Func<T extends any = any> = (...args: any[]) => T;

export type AsyncFunc<T extends any = any> = (...args: any[]) => PromiseLike<T>;

export type AsyncResult<T extends AsyncFunc> = Awaited<ReturnType<T>>;

export type Params<T extends Func> = T extends (...args: infer P) => any ? P : never;

export type FirstParam<T extends Func> = T extends (first: infer F, ...args: any[]) => any ? F : never;

export type NonFirstParams<T extends Func> = T extends (first: any, ...args: infer P) => any ? P : never;

export type WithoutFirstParam<T extends Func> = T extends (first: any, ...args: infer P) => infer R ? (...args: P) => R : never;
