
/** An HTTP URL, e.g. `https://example.com/foo?bar=baz` */
export type HttpURL = `http://${string}` | `https://${string}`;

/** An HTTP URL without the scheme specified, e.g. `//example.com/foo?bar=baz` */
export type HttpURLSchemeless = `//${string}`;

/** An RFC 4122 Universally Unique Identifier string */
export type UUID = `${string}-${string}-${string}-${string}-${string}`;

/** A Snowflake unique identifier string */
export type SnowflakeID = `${bigint}`;
