
// These types are based on / compatible with the pino Logger object

export interface LogFn {
	<T extends object>(obj: T, msg?: string, ...args: any[]): void;
	(obj: unknown, msg?: string, ...args: any[]): void;
	(msg: string, ...args: any[]): void;
}

export interface Logger {
	child(bindings: Record<string, any>, options?: any): Logger;
	fatal: LogFn;
	error: LogFn;
	warn: LogFn;
	info: LogFn;
	debug: LogFn;
	trace: LogFn;
	silent: LogFn;
}
