
/** A date string, formatted `YYYY-MM-DD` */
export type ISODate = `${number}-${number}-${number}`;

/** A time string, formatted `HH:mm:ss.sss` */
export type ISOTime = `${number}:${number}:${number}.${number}`;

/**  */
export type ISOZoneOffset = 'Z' | `${'+' | '-' | ''}${number}:${number}`;

/**  */
export type ISOTimestamp = `${ISODate}T${ISOTime}${ISOZoneOffset}`;

/** A time string, formatted `HH:mm` */
export type TimeShort = `${number}:${number}`;

/** A date/time string, formatted `YYYY-MM-DD HH:mm` */
export type LocalDateTime = `${ISODate} ${TimeShort}`;

/** A timezone identifier string, like `America/Los_Angeles` */
export type Timezone = `${string}/${string}`;
